// Copyright 2023 wanderer <a_mirre at utb dot cz>
// SPDX-License-Identifier: AGPL-3.0-only
package handlers

import (
	"net/http"

	moduser "git.dotya.ml/mirre-mt/pcmt/modules/user"
	"github.com/labstack/echo/v4"
)

func ManageAPIKeys() echo.HandlerFunc {
	return func(c echo.Context) error {
		addHeaders(c)

		u := c.Get("sessUsr")
		p := newPage()

		p.Title = "Manage API Keys"
		p.Current = "api-keys"

		if _, ok := u.(moduser.User); ok {
			p.User = u.(moduser.User)
		}

		if setting.APIKeyHIBP() != "" {
			p.Data["hibpApiKey"] = setting.APIKeyHIBP()
		}

		if setting.APIKeyDehashed() != "" {
			p.Data["dehashedApiKey"] = setting.APIKeyDehashed()
		}

		err := c.Render(http.StatusOK, "manage/apikeys.tmpl",
			p,
		)
		if err != nil {
			c.Logger().Errorf("error: %q", err)

			return renderErrorPage(
				c,
				http.StatusInternalServerError, http.StatusText(http.StatusInternalServerError),
				err.Error(),
			)
		}

		return nil
	}
}
